Bug 664417 - Review Request: spatialite-tools - A set of useful CLI tools for spatialite
Summary: Review Request: spatialite-tools - A set of useful CLI tools for spatialite
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Martin Gieseking
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-20 11:29 UTC by Volker Fröhlich
Modified: 2011-03-05 22:56 UTC (History)
6 users (show)

Fixed In Version: spatialite-tools-2.4.0-0.2.RC4.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-03 03:19:07 UTC
martin.gieseking: fedora-review+
petersen: fedora-cvs+


Attachments (Terms of Use)

Description Volker Fröhlich 2010-12-20 11:29:58 UTC
Spec URL: http://www.geofrogger.net/review/spatialite-tools.spec
SRPM URL: http://www.geofrogger.net/review/spatialite-tools-2.4.0-0.1.RC4.fc13.src.rpm

Description: A set of useful CLI tools for spatialite.

http://koji.fedoraproject.org/koji/taskinfo?taskID=2677066

spatialite-tools.x86_64: W: no-manual-page-for-binary spatialite_osm_net
spatialite-tools.x86_64: W: no-manual-page-for-binary spatialite_osm_map
spatialite-tools.x86_64: W: no-manual-page-for-binary spatialite_osm_raw
spatialite-tools.x86_64: W: no-manual-page-for-binary spatialite
spatialite-tools.x86_64: W: no-manual-page-for-binary exif_loader
spatialite-tools.x86_64: W: no-manual-page-for-binary spatialite_tool
spatialite-tools.x86_64: W: no-manual-page-for-binary spatialite_gml
spatialite-tools.x86_64: W: no-manual-page-for-binary spatialite_network
spatialite-tools.x86_64: W: no-manual-page-for-binary shp_doctor
3 packages and 0 specfiles checked; 0 errors, 9 warnings.

Comment 1 Marco Ziesing 2011-01-14 16:17:17 UTC
Hi Volker,

according the sources the license is GPLv3 or any later version.
So the correct value for the license tag is GPLv3+.

The summary and description are identical. The description
could be more detailed. Which tools and what can they do?

In the %build section, drop the prefix parameter. It's not required.

And the name is more readable in camel case. :-)

Comment 2 Martin Gieseking 2011-01-15 09:38:27 UTC
Hi Volker,

your package looks almost fine. Please update the spec file according to Marco's comments. I also recommend to use the %{version} macro in Source0 to simplify future updates, e.g.
http://www.gaia-gis.it/spatialite-%{version}-4/%{name}-%{version}.tar.gz

It would be nice to have a more detailed %description telling what kind of tools the package provides and what they do.


$ rpmlint /var/lib/mock/fedora-14-x86_64/result/*.rpm
spatialite-tools.x86_64: W: no-manual-page-for-binary spatialite_osm_net
spatialite-tools.x86_64: W: no-manual-page-for-binary spatialite_osm_map
spatialite-tools.x86_64: W: no-manual-page-for-binary spatialite_osm_raw
spatialite-tools.x86_64: W: no-manual-page-for-binary spatialite
spatialite-tools.x86_64: W: no-manual-page-for-binary exif_loader
spatialite-tools.x86_64: W: no-manual-page-for-binary spatialite_tool
spatialite-tools.x86_64: W: no-manual-page-for-binary spatialite_gml
spatialite-tools.x86_64: W: no-manual-page-for-binary spatialite_network
spatialite-tools.x86_64: W: no-manual-page-for-binary shp_doctor
3 packages and 0 specfiles checked; 0 errors, 9 warnings.

The above warings are expected and can be ignored.

---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license.
    - GPLv3+ according to source headers

[X] MUST: The License field in the package spec file must match the actual license.
    - GPLv3 => GPLv3+

[+] MUST: The file containing the text of the license(s) for the package must be included in %doc.
    - COPYING added in %doc

[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source.
    $ md5sum spatialite-tools-2.4.0.tar.gz*
    e161e774a26e874d7d92d428ae2ad685  spatialite-tools-2.4.0.tar.gz
    e161e774a26e874d7d92d428ae2ad685  spatialite-tools-2.4.0.tar.gz.1

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work ...
[+] MUST: All build dependencies must be listed in BuildRequires.
[.] MUST: The spec file MUST handle locales properly.
[.] MUST: Packages storing shared library files (not just symlinks) must call ldconfig in %post and %postun.
[+] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, ...
[+] MUST: A package must own all directories that it creates. 
[+] MUST: A Fedora package must not list a file more than once in %files.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage.
[+] MUST: Files in %doc must not affect the runtime of the application.
[.] MUST: Header files must be in a -devel package.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: library files that end in .so (without suffix) must go in a -devel package.
[.] MUST: devel packages must require the base package
[+] MUST: Packages must NOT contain any .la libtool archives.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file
[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file ...
[+] SHOULD: The reviewer should test that the package builds in mock.
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[+] SHOULD: The reviewer should test that the package functions as described.
[.] SHOULD: If scriptlets are used, those scriptlets must be sane.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin ...
[X] SHOULD: your package should contain man pages for binaries/scripts.
    - it would be nice if upsetream could add manpages for the utilities

Comment 3 Volker Fröhlich 2011-01-15 14:58:49 UTC
Thank you! I wrote to upstream about the manpages and asking for a description text.

All other issues are solved, see changelog.

As of camel case: Ubuntu and OpenSUSE also put it that way. "SpatiaLite" isn't a real word either and I personally find it annoying to mess around with camel case in package management.

Spec URL: http://www.geofrogger.net/review/spatialite-tools.spec
SRPM URL:
http://www.geofrogger.net/review/spatialite-tools-2.4.0-0.2.RC4.fc13.src.rpm

Comment 4 Martin Gieseking 2011-01-15 18:31:38 UTC
(In reply to comment #3)
> I wrote to upstream about the manpages and asking for a description text.
> All other issues are solved, see changelog.

OK, great.

> As of camel case: Ubuntu and OpenSUSE also put it that way. "SpatiaLite" isn't
> a real word either and I personally find it annoying to mess around with camel
> case in package management.

I think, Marco referred to the Summary and the %description texts. If upstream uses camel case in the project name, you should do so as well when mentioning the name in the description. But that's not a blocker anyway. The package looks good now and is

--------
APPROVED
--------

Comment 5 Volker Fröhlich 2011-01-15 19:41:25 UTC
New Package SCM Request
=======================
Package Name: spatialite-tools
Short Description: A set of useful CLI tools for SpatiaLite
Owners: volter
Branches: f13 f14 el6
InitialCC: viji

Comment 6 Jens Petersen 2011-01-18 07:19:50 UTC
Git done (by process-git-requests).

Comment 7 Martin Gieseking 2011-02-25 09:29:39 UTC
Volker, what's the status of this package? There are no related builds yet. Did you just forget it?

Comment 8 Volker Fröhlich 2011-02-25 10:56:07 UTC
I wrote to the author on a better description. But he didn't respond yet.

I already started making builds now.

Comment 9 Fedora Update System 2011-02-25 11:15:31 UTC
spatialite-tools-2.4.0-0.2.RC4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/spatialite-tools-2.4.0-0.2.RC4.fc14

Comment 10 Fedora Update System 2011-02-25 11:15:38 UTC
spatialite-tools-2.4.0-0.2.RC4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/spatialite-tools-2.4.0-0.2.RC4.fc15

Comment 11 Fedora Update System 2011-02-25 11:15:46 UTC
spatialite-tools-2.4.0-0.2.RC4.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/spatialite-tools-2.4.0-0.2.RC4.fc13

Comment 12 Fedora Update System 2011-02-25 23:19:21 UTC
spatialite-tools-2.4.0-0.2.RC4.fc15 has been pushed to the Fedora 15 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update spatialite-tools'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/spatialite-tools-2.4.0-0.2.RC4.fc15

Comment 13 Fedora Update System 2011-03-03 03:18:55 UTC
spatialite-tools-2.4.0-0.2.RC4.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2011-03-05 22:55:46 UTC
spatialite-tools-2.4.0-0.2.RC4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2011-03-05 22:56:44 UTC
spatialite-tools-2.4.0-0.2.RC4.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.